GNOME-SETTINGS-DAE(1)

NAME
gnome-settings-daemon - GNOME settings daemon

SYNOPSIS

gnome-settings-daemon [OPTION...]

DESCRIPTION

gnome-settings-daemon provides many session-wide services and functions that require a long-running process. Among the services implemented by gnome-settings-daemon are an XSettings manager, which provides theming, font and other settings to GTK+ applications, and a clipboard manager, which preserves clipboard contents when an application exits. Many user interface elements of gnome-shell and gnome-control-center rely on gnome-settings-daemon for their functionality.

The internal architecture of gnome-settings-daemon consists of a number of plugins, which provide functionality such as printer notifications, software update monitoring, background changing, etc. For debugging purposes, these plugins can be individually disabled by changing the gsettings key org.gnome.settings-daemon.plugins.plugin-name.active, where plugin-name is the name of the plugin. To see a list of all plugins, use the command gsettings list-children org.gnome.settings-daemon.plugins

gnome-settings-daemon takes the name org.gnome.SettingsDaemon on the session bus to ensure that only one instance is running. Some plugins export objects under this name to make their functionality available to other applications. The interfaces of these objects should generally be considered private and unstable.

gnome-settings-daemon is a required component of the GNOME desktop, i.e. it is listed in the RequiredComponents field of /usr/local/share/gnome-session/sessions/gnome.session. It is started in the initialization phase of the session, and gnome-session will restart it if it crashes.

OPTIONS

-h, --help
    Prints a short help text and exits.

--debug
    Enables debugging code.

--timed-exit
    Exits after a timeout (30 seconds) for debugging.

FILES

/usr/local/share/gnome-session/sessions/gnome.session
    GNOME session definition file where gnome-settings-daemon is listed as a required component.

/etc/xdg/autostart/gnome-settings-daemon.desktop
    Autostart file for gnome-settings-daemon, where its autostart phase is set.

SEE ALSO

 gnome-shell(1), gnome-control-center(1), gnome-session(1)

AUTHOR
Bastien Nocera.